Get property definition
GET
/merchants/{merchantCode}/properties/{propertyCode}
const url = 'https://catalog.shopgate.io/v1/merchants/example/properties/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://catalog.shopgate.io/v1/merchants/example/properties/exampleGet property definition information
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
propertyCode
required
string
Responses
Section titled “Responses”Property definition information
Media typeapplication/json
object
property
object
code
required
Code of the product property this definition applies to (matches ProductProperties[].code).
string
name
required
Name of the property definition.
string
type
required
Type of the property. It is immutable once the property definition is created.
string
isArray
required
Whether the property holds an array of values of the given type.
boolean
unit
Unit of the property value, e.g. kg, cm, lbs.
null | string
Example
{ "property": { "code": "weight", "name": "Weight", "type": "string", "isArray": false, "unit": "kg" }}Merchant or property definition not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
